<?php
	define('IN_PowerBB',true);
	$page = empty($_GET['page']) ? 'index' : $_GET['page'];
	$page = str_replace( 'note', 'notes', $page );
	$page = str_replace( 'index', 'main', $page );
	$module = ('modules/admin/'.$page.'.module.php');
	if (!file_exists($module))
	{
	echo '<style type="text/css"> body { font-family:tahoma; font-size:12px; }.warning {background-color: #EDF1AB; border: 1px solid #6E704B; padding: 5px; font-weight: bold; -moz-border-radius: 5px; overflow: auto;}</style>';
	die('<div class="warning" align="center"><b>Error:</b> The requested page not found<br>	المعذرة .. الصفحه المطلوبه غير موجودة</div>');
	}
	require_once($module);
	//////////
	$class_name = CLASS_NAME;
	$class_name = new $class_name;
	$class_name->run();
?>